com.threerings.whirled.server

## Class WhirledSession

- java.lang.Object
- - com.threerings.presents.server.PresentsSession
  - - com.threerings.crowd.server.CrowdSession
    - - com.threerings.whirled.server.WhirledSession

All Implemented Interfaces:
  com.threerings.presents.server.ClientResolutionListener, com.threerings.presents.server.net.PresentsConnection.MessageHandler

Direct Known Subclasses:
  SpotClient

    public class WhirledSession
    extends com.threerings.crowd.server.CrowdSession

The client object used by client management on the Whirled server.

### Nested Class Summary

### Nested classes/interfaces inherited from class com.threerings.presents.server.PresentsSession

`com.threerings.presents.server.PresentsSession.UserChangeListener`

### Constructor Summary

Constructors
Constructor and Description
`WhirledSession()`

### Method Summary

### Methods inherited from class com.threerings.presents.server.PresentsSession

`checkExpired, clientResolved, endSession, getAuthName, getClientObject, getCredentials, getInetAddress, getNetworkStamp, getSecret, getSessionStamp, getTimeZone, getTransmitDatagrams, handleMessage, resolutionFailed, setClassLoader, setIncomingMessageThrottle, setUsername, shutdown, toString, updateUsername`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### WhirledSession

    public WhirledSession()